Complexity:
Is Regression: No
Sprint Focus:
Subject: Inconsistent Textcolor in table rows hurts the eyes
Description

If you have a form with several rows, the background color and the text color are alternating for even and odd rows (see screenshot).
In the dark rows the textcolor is - other than in the light rows - not(!) black, but a bit lighter. That comes from tr.bgcolor4
{color:#212424;}.
This causes the impression of having bad eyes (or dirty glasses) which is not great.

The textcolor should be changed to black (as it already is for the other rows).

(issue imported from #M15053)

Related issues:
related to Core - Bug # 22726: New Backend Design Closed 2010-05-27

History
#1 - 2010-07-13 07:15 - Georg Ringer

sorry I don't find the place where this occurs. can you give a hint?

#2 - 2010-07-13 14:08 - Chris topher

In the screenshot you can best see that when you compare the last two rows.

This is a problem, when you use llxmltranslate (that is where the scereenshot is from), but the styling comes from t3skin in the Core.
I just searched other places with this problem, but diod not find any.
List module: Looks the same (same effects), but the text color in dark rows is OK (black).

#3 - 2010-07-13 14:17 - Chris topher

Btw: Thank you for all the small and not so small patches you are making! :-)

#4 - 2010-07-13 14:47 - Georg Ringer

this is just a start but I will try to find a better solution tomorrow which adopts all other colors as wel, including a short test-extension.

btw: thanks for all of your findings, give me a call for a beer once ;)
#5 - 2010-07-13 15:11 - Chris topher

Will do!

#6 - 2013-10-21 09:47 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (4.5 or 6.1)?

#7 - 2013-11-13 15:29 - Riccardo De Contardi

main_content.css in TYPO3 6.2.0 beta1 still has the lines:

.bgColor4 {
    background-color: #f1f1f1;
    color: #212424;
}

.bgColor4-20 {
    background-color: #f8f9fa;
}

#8 - 2013-11-13 16:27 - Alexander Opitz
- Category set to Backend User Interface
- Status changed from Needs Feedback to New

#9 - 2015-01-20 11:31 - Mathias Schreiber
- Status changed from New to Resolved

fixed on master using bootstrap

Files
Bad-Textcolors.gif 9.3 kB 2010-07-08 Administrator Admin
15053-textcolors.patch 497 Bytes 2010-07-13 Administrator Admin
